"use strict";
const common_vendor = require("../../../../common/vendor.js");
const _sfc_main = {
  name: "u--slider",
  mixins: [common_vendor.mpMixin, common_vendor.mixin, common_vendor.props$16],
  methods: {
    // 拖动过程中触发
    changingHandler(e) {
      const {
        value
      } = e.detail;
      this.$emit("input", value);
      this.$emit("changing", value);
    },
    // 滑动结束时触发
    changeHandler(e) {
      const {
        value
      } = e.detail;
      this.$emit("input", value);
      this.$emit("change", value);
    }
  }
};
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return {
    a: _ctx.min,
    b: _ctx.max,
    c: _ctx.step,
    d: _ctx.value,
    e: _ctx.activeColor,
    f: _ctx.inactiveColor,
    g: _ctx.$u.getPx(_ctx.blockSize),
    h: _ctx.blockColor,
    i: _ctx.showValue,
    j: _ctx.disabled,
    k: common_vendor.o((...args) => $options.changingHandler && $options.changingHandler(...args)),
    l: common_vendor.o((...args) => $options.changeHandler && $options.changeHandler(...args)),
    m: common_vendor.s(_ctx.$u.addStyle(_ctx.customStyle))
  };
}
const Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["render", _sfc_render], ["__scopeId", "data-v-3ffc2d59"], ["__file", "F:/兴元/开门柜项目/平台端管理系统小程序/node_modules/uview-plus/components/u-slider/u-slider.vue"]]);
wx.createComponent(Component);
